%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_ListHeaders
%global pear_channel pear.horde.org

Name:           php-horde-Horde-ListHeaders
Version:        1.2.4
Release:        1%{?dist}
Summary:        Horde List Headers Parsing Library

Group:          Development/Libraries
License:        LGPLv2
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-common >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
# To run unit tests
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Mail) >= 2.0.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-common >= 5.3.0
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-pear(%{pear_channel}/Horde_Mail) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Mail) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Translation) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Translation) <  3.0.0
Requires:       php-channel(%{pear_channel})

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
The Horde_ListHeaders library parses Mailing List Headers as defined
in RFC 2369 & RFC 2919.


%prep
%setup -q -c

cd %{pear_name}-%{version}
cp ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf %{buildroot}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%clean
rm -rf %{buildroot}


%check
src=$(pwd)/%{pear_name}-%{version}
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit \
    --include-path=$src/lib \
    -d date.timezone=UTC \
    .


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi

%files 
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/ListHeaders
%{pear_phpdir}/Horde/ListHeaders.php
%{pear_testdir}/%{pear_name}
%{pear_datadir}/%{pear_name}

%changelog
* Thu Apr 07 2016 josef radinger <cheese@nosuchhost.net> - 1.2.4-1
- bump version

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 1.2.3-1
- bump version

* Tue Apr 28 2015 josef radinger <cheese@nosuchhost.net> - 1.2.2-1
- bump version

* Sun Jan 11 2015 josef radinger <cheese@nosuchhost.net> - 1.2.1-1
- bump version

* Mon Nov 24 2014 josef radinger <cheese@nosuchhost.net> - 1.2.0-1
- bump version

* Tue Jul 01 2014 josef radinger <cheese@nosuchhost.net> - 1.1.5-1
- bump version

* Wed Jun 18 2014 josef radinger <cheese@nosuchhost.net> - 1.1.4-1
- bump version

* Thu Jun 12 2014 josef radinger <cheese@nosuchhost.net> - 1.1.3-1
- bump version

* Thu May 22 2014 josef radinger <cheese@nosuchhost.net> - 1.1.2-1
- bump version

* Sun Apr 13 2014 josef radinger <cheese@nosuchhost.net> - 1.1.1-1
- Update to 1.1.1
- BuildRequires gettext
- locales

* Sat Nov 02 2013 josef radinger <cheese@nosuchhost.net> - 1.1.0-1
- Update to 1.1.0
- add handling of po+pot-files

* Sat Jan 12 2013 Remi Collet <remi@fedoraproject.org> - 1.0.1-1
- Initial package

